register_check_parameters(
    subgroup_networking,
    "iperf_jobs",
    _("Iperf based network checks"),
    Dictionary(
        elements = [
            ("bw_to",
            Tuple(
               title = _("Levels of bandwidth TO testing host, TCP and UDP tests"),
               help = _("Set the levels to detect lower than expected throughput"),
               elements = [
                  Float(title=_("Warning if below"), label=_("Mbits per second")),
		  Float(title=_("Critical if below"), label=_("Mbits per second")),
               ]
            )),
	    ("bw_from",
            Tuple(
               title = _("Levels of bandwidth FROM testing host, TCP and UDP tests"),
               help = _("Set the levels to detect lower than expected throughput"),
               elements = [
                  Float(title=_("Warning if below"), label=_("Mbits per second")),
                  Float(title=_("Critical if below"), label=_("Mbits per second")),
               ]
            )),
            ("retr_to",
            Tuple(
               title = _("Levels of retransmits TO testing host, TCP tests"),
               help = _("Set the levels to detect excessive number of retransmits"),
               elements = [
                  Integer(title=_("Warning if above"), label=_("number of")),
                  Integer(title=_("Critical if above"), label=_("number of")),  
               ]
            )),
	    ("retr_from",
            Tuple(
               title = _("Levels of retransmits FROM testing host, TCP tests"),
               help = _("Set the levels to detect excessive number of retransmits"),
               elements = [
                  Integer(title=_("Warning if above"), label=_("number of")),
                  Integer(title=_("Critical if above"), label=_("number of")),
               ]
            )),
	    ("jitter_to",
            Tuple(
               title = _("Levels of jitter TO testing host, UDP tests"),
               help = _("Set the levels to detect excessive jitter"),
               elements = [
                  Float(title=_("Warning if above"), label=_("ms")),
                  Float(title=_("Critical if above"), label=_("ms")),
               ]
            )),
            ("jitter_from",
            Tuple(
               title = _("Levels of jitter FROM testing host, UDP tests"),
               help = _("Set the levels to detect excessive jitter"),
               elements = [
                  Float(title=_("Warning if above"), label=_("ms")),
                  Float(title=_("Critical if above"), label=_("ms")),
               ]
            )),
	    ("pkt_lost_to",
            Tuple(
               title = _("Absolute levels of lost packets TO testing host, UDP tests"),
               help = _("Set the levels to detect excessive number of lost packets"),
               elements = [
                  Integer(title=_("Warning if above"), label=_("number of")),
                  Integer(title=_("Critical if above"), label=_("number of")),
               ]
            )),
	    ("pkt_lost_from",
            Tuple(
               title = _("Absolute levels of lost packets FROM testing host, UDP tests"),
               help = _("Set the levels to detect excessive number of lost packets"),
               elements = [
                  Integer(title=_("Warning if above"), label=_("number of")),
                  Integer(title=_("Critical if above"), label=_("number of")),
               ]
            )),
	    ("prct_lost_to",
            Tuple(
               title = _("Percent levels of lost packets TO testing host, UDP tests"),
               help = _("Set the levels to detect excessive percentage of lost packets"),
               elements = [
                  Percentage(title=_("Warning if above"), label=_("percent")),
                  Percentage(title=_("Critical if above"), label=_("percent")),
               ]
            )),
	    ("prct_lost_from",
            Tuple(
               title = _("Percent levels of lost packets FROM testing host, UDP tests"),
               help = _("Set the levels to detect excessive percentage of lost packets"),
               elements = [
                  Percentage(title=_("Warning if above"), label=_("percent")),
                  Percentage(title=_("Critical if above"), label=_("percent")),
               ]
            )),
        ]
    ),
    TextAscii(
        title=_("IPerf Services"),
        help=_("The name of the IPerf Services")),
    "dict"
)

